
package jp.gr.java_conf.koto.notavacc.types;

import java.util.*;
import jp.gr.java_conf.koto.notavacc.lrg.*;
import jp.gr.java_conf.koto.notavacc.parser.*;

public class AbsorberRootType extends Type {
    public static final AbsorberRootType INSTANCE = new AbsorberRootType();
    
    private AbsorberRootType() {
    }
    
    public int hashCode() {
        return AbsorberRootType.class.getName().hashCode();
    }
    public boolean equals(Object rhs) {
        if (rhs == null)
            return false;
        return getClass().equals(rhs.getClass());
    }
    
    public String toString() {
        return "AbsorberRootType";
    }
    
    public Set getDirectSuperTypes() {
        return Collections.singleton(ObjectType.INSTANCE);
    }
    public Set getDeclaredFields() {
        return Collections.EMPTY_SET;
    }
    public Map getMapNameToField() {
        return Collections.EMPTY_MAP;
    }
}

