
package jp.gr.java_conf.koto.util;

import java.util.*;

public abstract class AbstractMapEntry implements Map.Entry {
    public abstract Object getKey();
    public abstract Object getValue();
    
    public Object setValue(Object value) {
        throw new UnsupportedOperationException();
    }
    public boolean equals(Object o) {
        Map.Entry e1 = this;
        Map.Entry e2 = (Map.Entry) o;
        
        return (e1.getKey() == null ? e2.getKey() == null : e1.getKey().equals(e2.getKey()))
            && (e1.getValue() == null ? e2.getValue() == null : e1.getValue().equals(e2.getValue()));
    }
    public int hashCode() {
        Map.Entry e = this;
        return (e.getKey() == null ? 0 : e.getKey().hashCode())
            ^ (e.getValue() == null ? 0 : e.getValue().hashCode());
    }
}

