
import java.io.*;
import junit.framework.*;
import parser.ExpressionParser;
import parser.ExpressionParser.Root;

public class Example_Test extends TestCase {
    public static void main(String[] args) {
        junit.textui.TestRunner.main(new String[] { Example_Test.class.getName() });
    }
    
    public Example_Test(String name) {
        super(name);
    }
    
    private String expressionImage = "1 + 2 * 3 + 4 / (5 - 6)";
    private int value = 1 + 2 * 3 + 4 / (5 - 6);
    
    public void test1() throws ExpressionParser.ParseException {
        int result = AspectJExample.test(expressionImage);
        assertTrue(result == value);
    }
}
